<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.device.wifi.AddWifiPasswordActivity">

    <include
        android:id="@+id/il_add_wifi_pwd_top_bar"
        layout="@layout/layout_top_bar" />


    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/lav_add_wifi_pwd_anim"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_47"
        android:layout_centerInParent="true"
        android:visibility="gone"
        app:lottie_loop="true" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_add_wifi_pwd_name"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"

        android:layout_below="@id/il_add_wifi_pwd_top_bar"
        android:layout_marginHorizontal="@dimen/dp_40"
        android:layout_marginTop="@dimen/dp_8"
        android:text="@string/app_name"
        android:textSize="@dimen/textSize24"
        android:textStyle="bold" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_add_wifi_pwd_dec"
        style="@style/my_TextView_style_v2"
        android:layout_below="@id/tv_add_wifi_pwd_name"
        android:layout_marginHorizontal="@dimen/dp_28"
        android:layout_marginTop="@dimen/dp_10"
        android:text="@string/txt_wifi_password_dec"
        android:textColor="@color/block_color2"
        android:textSize="@dimen/textSize14"
        app:lineHeight="@dimen/textSize20"
        app:typeface="@string/roboto_regular_font" />

    <include
        android:id="@+id/il_add_wifi_pwd_password"
        layout="@layout/layout_input_edit_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_66"
        android:layout_below="@id/tv_add_wifi_pwd_dec"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_28" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_add_wifi_pwd_error_tip"
        style="@style/my_TextView_style_v2"
        android:layout_below="@id/il_add_wifi_pwd_password"
        android:layout_alignStart="@id/il_add_wifi_pwd_password"
        android:layout_marginTop="@dimen/dp_10"
        android:text="@string/txt_incorrect_password"
        android:textColor="@color/red_color2"
        android:textSize="@dimen/textSize14"
        android:visibility="gone"
        app:typeface="@string/roboto_regular_font" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/btn_add_wifi_pwd_skip"
        style="@style/my_TextView_style_v2"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/dp_28"
        android:background="@drawable/selector_transparent_pressed"
        android:padding="@dimen/dp_10"
        android:text="@string/txt_skip_password"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize12"
        app:typeface="@string/roboto_regular_font" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_add_wifi_pwd_connect"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_above="@id/btn_add_wifi_pwd_skip"
        android:layout_marginBottom="@dimen/dp_6"
        android:enabled="false"
        android:text="@string/txt_connect"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />
</RelativeLayout>